(* Common interface to XML parsers *)

type event_parser = 
    ~start_tag:(string * (string * string) list -> unit) ->
    ~end_tag:(string -> unit) ->
    ~char_data:(string -> unit) ->
    unit
       

type item =
 | Element of (string * (string * string) list * item list)
 | PCData of string


val build_tree: event_parser -> item
